MantisBT

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013119MediaMonkey (current)Synchronizationpublic2016-02-09 16:312016-08-02 06:06
Reportermarek 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.1.11 
Target Version4.1.12Fixed in Version4.1.12 
Summary0013119: Duplicate profiles can occur due to deletion of storageInfo.xml
DescriptionThere is one issue that can cause duplicates of profiles:

- clean install of MMA (all folders deleted), device with SAF storage or write-limited storage - i.e. all non-rooted Android 4.4+ devices with SD card
- do NOT allow access to whole SD card..especially do not allow access to /MediaMonkey folder
- MMA generates GUID to storageInfo.xml in app specific folder
- sync with MMW (wifi or usb) - MMW gets the GUID
- uninstall MMA - this will delete storageInfo.xml in app specific folder
- disconnect USB cable
- reinstall MMA - new storageInfo.xml with new GUID is generated and this causes creation of new profile

It can be partly safely fixed on MMW side. I know that we previously discussed that MMW should write duplicate storageInfo.xml to /MediaMonkey/ folder - so it won't be lost after uninstall. MMW doesn't create it now.

I know that it will solve the issue only for USB sync. Wifi sync (where MMW does not write to storage) will still cause duplicates. But it cannot be fixed on MMA side becuase there is no persisted location to store storageInfo.xml on SD card.
TagsNo tags attached.
Fixed in build1784
Attached Files

- Relationships
related to 0013115closedrusty MediaMonkey for Android First-time USB sync to various devices fails (xml file not seen over MTP) 
related to 0013028closedLudek MediaMonkey (current) Sync: Multiple USB Thumb Drives of same type get same profile 
related to 0013005closedLudek MediaMonkey (current) MWM Create double Profile each MMW Start (when info file cannot be written) 
related to 0012205closedLudek MediaMonkey (current) Two distinct SD cards are recognized as same device profile 
related to 0013063resolvedmarek MediaMonkey for Android LG L-65: Storage prefixes for SD card don't match 
related to 0013130resolvedmarek MediaMonkey for Android Duplicate profiles can occur due to deletion of storageInfo.xml [MMA] 
related to 0012997closedLudek MediaMonkey (current) USB Sync do not get correct Storage names 

-  Notes
(0044110)
Ludek (developer)
2016-02-10 06:30
edited on: 2016-02-10 06:41

As discussed offline:

- for USB sync: MMW should copy storageInfo.xml from MMA app specific folder to /MediaMonkey/ folder as storageInfo.xml.mmw (so that it is persistent after MMA uninstall)

- for WiFi sync: Not solvable in general, even if MMA would keep the info on internal storage while it is uninstalled, SD card could be swapped (similar to 0012205)

(0044112)
Ludek (developer)
2016-02-10 09:30

Fixed in 4.1.12.1784
(0044497)
peke (developer)
2016-04-26 11:45

verified 1789


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker